#include "config.h"
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "ports.h"

#define USART_DIVIDER 4
static void Lput(uint8_t K, uint8_t dl) 
 { while(!(UCSRA&(1<<UDRE))) ; UDR= K;
   if (dl) _delay_ms(5); else _delay_us(120); }
static void Lchr(uint8_t B) { Lput(B,0); } 
static void Lclear() { Lput(192,1); }
static void Lgoto(uint8_t r,uint8_t c) { Lput(128 | (r<<4) | c, 0); }
static void Lhex(uint8_t K)
 { static const char *he= "0123456789ABCDEF"; 
   Lchr((uint8_t)he[K>>4]); Lchr((uint8_t)he[K&0xf]); }
static void Linit() 
{ UBRRH= USART_DIVIDER>>8; UBRRL= USART_DIVIDER;
  UCSRC= (1<<URSEL) | (3<<UCSZ0); UCSRB= (1<<TXEN); }

static void str(uint8_t r,char *k)
{
  uint8_t i;
  Lgoto(r,0);
  for(i=0;k[i];i++) Lchr((uint8_t) k[i]);
  for(;i<16;i++) Lchr(' ');
}

char *ss[6]= {
//0123456789ABCDEF
 "I left alone, my",
 "mind was blank",
 "I needed time to",
 "think to get the",
 "memories from my",
 "mind..."
};

int main()
{
  uint8_t C;
  Linit();
  C= 0;
  while(1)
  {
    str(0, ss[C]); str(1, ss[(C+1)%6]); _delay_ms(1000); 
    C= (C+1)%6;
  }
}


